Technical Requirements

System Configuration

 
Minimum
Recommended

Processor

1 Ghz processor

Core 2 Duo processor at 2.66 Ghz

Memory (RAM)

4GB

Microsoft Windows Vista - 4 GB
Microsoft Windows 7 - 4 GB
Microsoft Windows 8 - 4 GB (Lexis® for Microsoft Office® 3.5 and higher)

Hard Drive Space

300 MB

Browser

Microsoft Internet Explorer 8 or higher

Screen Resolution

1024x768 or higher



Operating System Requirements

You need 1 of the following operating systems installed on your local workstation to run Lexis for Microsoft Office:

Operating Systems
Requirements

Windows Vista
32-bit and 64-bit

Requires Service Pack 2 and any priority updates that Microsoft Windows Updates provides.

Windows 7
32-bit and 64-bit

Requires any priority updates that Microsoft Windows Updates provides.

Windows 8.1 (Lexis for Microsoft Office 3.5 and higher)
32-bit and 64-bit

Requires any priority updates that Microsoft Windows Updates provides.



Software Requirements

Software
Requirements

Microsoft Office 2007 Professional / Standard (32-bit)

Requires Service Pack 2, Hotfix KB976477, and any priority updates that Microsoft Windows Updates provides.

Microsoft Office 2007 and 2010 Home and Student (32-bit & 64-bit)

Requires any priority updates that Microsoft Windows Updates provides.

Microsoft Office 2010 Professional / Standard (32-bit & 64-bit)

Requires any priority updates that Microsoft Windows Updates provides.

Microsoft Office Home and Business 2010 (32-bit & 64-bit)

Requires any priority updates that Microsoft Windows Updates provides.

Microsoft Office Home and Business 2013 (32-bit & 64-bit) (Lexis for Microsoft Office 3.5 and higher)

Requires any priority updates that Microsoft Windows Updates provides.

Microsoft Office Professional 2013 (32-bit & 64-bit) (Lexis for Microsoft Office 3.5 and higher)

Requires any priority updates that Microsoft Windows Updates provides.

Microsoft Office Click-to-Run

Lexis for Microsoft Office is not compatible with the Click-to-Run versions of Microsoft Office.

Depending on the version of Lexis for Microsoft Office that you downloaded, either the Prerequisite installer (release 3.1) or the Lexis for Microsoft Office installer (release 3.5) automatically installs the required software.

The following list contains the minimum required versions:

  • Microsoft .NET Framework 4 Client Profile-version 4.0.30319 or higher
  • Microsoft .NET Framework 4 Extended-version 4.0.30319 or higher
  • Microsoft Visual Studio® 2010 Tools for Office Runtime (x86 or x64)-version 10.0.30319
  • Microsoft SQL Server Compact 4.0 (x86 or x64)-version 4.0.8482.1
  • Microsoft Visual C++ redistributable 2008 SP1 (x86 or x64)
  • Microsoft Visual C++ redistributable 2010 for (x86 or x64)
Note: Newer versions also function.



Prerequisites

Prerequisite
Description

Lexis Advance® Subscription

Contact LexisNexis® Sales if you do not already have a subscription to the Lexis Advance service.

Lexis for Microsoft Office Subscription

Contact LexisNexis Sales if you do not have a subscription to Lexis for Microsoft Office.

Required Software

Download LMO_Setup447.exe to install all of the following required Lexis for Microsoft Office installer dependencies:

  • Microsoft .Net Framework: .Net framework 4.0 Full (Client Profile + Extended)
  • VSTO: Visual Studio Run Time Components x86\x64 (depending on the system configuration)
  • Microsoft SQL Server Compact (SQL CE) v 4.0 SP1: Microsoft SQL Server Compact Edition v 4.0 SP1 for x86\x64 (depending on the system configuration)
  • Microsoft Visual C++ redistributable 2008 SP1: Microsoft Visual C++ redistributable 2008 SP1 for x86\x64 (depending on the system configuration)
  • Microsoft Visual C++ redistributable 2010: Microsoft Visual C++ redistributable 2010 for x86\x64 (depending on the system configuration)